#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define	pdir	FCGI
%define	pnam	ProcManager
%include	/usr/lib/rpm/macros.perl
Summary:	FCGI::ProcManager - functions for managing FastCGI applications
Summary(pl.UTF-8):	FCGI::ProcManager - funkcje do zarządzania aplikacjami FastCGI
Name:		perl-FCGI-ProcManager
Version:	0.24
Release:	2
License:	LGPL v2.1
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FCGI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0aa184b1e5339e0ad92f4c1439406304
URL:		http://search.cpan.org/dist/FCGI-ProcManager/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FCGI::ProcManager is used to serve as a FastCGI process manager. By
re-implementing it in Perl, developers can more finely tune
performance in their web applications, and can take advantage of
copy-on-write semantics prevalent in UNIX kernel process management.
The process manager should be invoked before the caller's request
loop.

%description -l pl.UTF-8
FCGI::ProcManager służy jako zarządca procesów FastCGI. Poprzez
reimplementację tego w Perlu programiści mogą poprawić wydajność ich
aplikacji WWW i wykorzystać zalety semantyki copy-on-write
przeważającej w zarządzaniu procesami w jądrach systemów UNIX.
Zarządca procesów powinien być wywoływany przed pętlą żądań
wywołującego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/%{pdir}/%{pnam}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/FCGI/ProcManager.pm
%dir %{perl_vendorlib}/FCGI/ProcManager
%{perl_vendorlib}/FCGI/ProcManager/Constrained.pm
%{_mandir}/man3/*
%changelog
* Wed Jul 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-FCGI-ProcManager.git;a=log;h=master

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> 89c49b2
- %{perl_vendorlib}/FCGI is packaged by perl-dirs

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> be96e87
- up to 0.24

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> ebb3438
- updated to 0.19

* Mon Oct 20 2008 Elan Ruusamäe <glen@pld-linux.org> 840b437
- release 1

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d10bf5c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 65a5643
- generic URL
- LGPL v2.1

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 6deab5c
- up to 0.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0b391a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6ec173d
- converted to UTF-8

* Sun May 01 2005 Jakub Bogusz <qboosh@pld-linux.org> a2fb6b3
- pl

* Fri Apr 29 2005 Elan Ruusamäe <glen@pld-linux.org> 756b524
- new

